Bug 127524 - /etc/security/opasswd is missing
/etc/security/opasswd is missing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
: 87455 117960 (view as bug list)
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
 
Reported: 2004-07-09 08:44 EDT by Nick Strugnell
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0346
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 10:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2004-07-09 08:44:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040303

Description of problem:
/etc/security/opasswd is missing. This means that if you use the
'remember' option for pam_unix.so, you will not be able to change your
password.

Version-Release number of selected component (if applicable):
pam-9.75-54

How reproducible:
Always

Steps to Reproduce:
1.Configure system-auth to use remember e.g.:

password     sufficient     /lib/security/pam_unix.so nullok
use_authtok md5 shadow remember=12

2. Login as a user and try to change your password with 'passwd'

    

Actual Results:  Console prints:

Password has been already used. Choose another.
Password has been already used. Choose another.
Password has been already used. Choose another.

and logs user out.

Expected Results:  User should be able to successfully choose password.

Additional info:

Can be easily fixed with:

touch /etc/security/opasswd

as root.
Comment 1 Tomas Mraz 2004-09-09 03:25:17 EDT
I'd like to fix this bug but I don't know what's the right solution.

Should the code not fail if the file doesn't exist and create it as
necessary?

Or rather fix the installation script in the RPM package to touch the
file?
Comment 2 Jindrich Novy 2004-09-21 04:39:07 EDT
*** Bug 87455 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Mraz 2004-10-11 11:00:59 EDT
Added the /etc/security/opasswd to spec file for pam-0.77-61.
Comment 4 Tomas Mraz 2004-10-27 03:36:14 EDT
*** Bug 117960 has been marked as a duplicate of this bug. ***
Comment 5 Bastien Nocera 2005-10-27 06:30:37 EDT
Reopening for RHEL3.
Comment 8 Bob Johnson 2006-04-11 12:28:27 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 12 Red Hat Bugzilla 2006-07-20 10:40:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0346.html

Note You need to log in before you can comment on or make changes to this bug.